
Redmine - Defect #39415

redmineup plugins after upgrade to 5.1  

2023-10-29 21:20 - ashraf alzyoud

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Calendar Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 5.0.6

Description

uninitialized constant CalendarsHelper

        Object.const_get(camel_cased_word)

              ^^^^^^^^^^

Did you mean?  CalendarsController (NameError)

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/activesupport-6.1.7.6/lib/

active_support/inflector/methods.rb:273:in `const_get'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/activesupport-6.1.7.6/lib/active_su

pport/inflector/methods.rb:273:in `constantize'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/activesupport-6.1.7.6/lib/active_su

pport/core_ext/string/inflections.rb:74:in `constantize'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/actionpack-6.1.7.6/lib/

abstract_controller/helpers.rb:176:in `block in modules_for_helpers'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/actionpack-6.1.7.6/lib/abstract_con

troller/helpers.rb:169:in `map!'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/actionpack-6.1.7.6/lib/abstract_con

troller/helpers.rb:169:in `modules_for_helpers'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/actionpack-6.1.7.6/lib/

action_controller/metal/helpers.rb:104:in `modules_for_helpers'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/actionpack-6.1.7.6/lib/abstract_con

troller/helpers.rb:147:in `helper'

  /var/www/redmine-5.1/plugins/redmine_contacts/app/controllers/deals_controller.rb:50:in `<class:

DealsController>'

  /var/www/redmine-5.1/plugins/redmine_contacts/app/controllers/deals_controller.rb:20:in 

`<top (required)>'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/polyglot-0.3.5/lib/polyglot.rb:65:i

n `require'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/polyglot-0.3.5/lib/polyglot.rb:65:i

n `require'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/zeitwerk-2.6.12/lib/zeitwerk/kernel

.rb:30:in `require'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/zeitwerk-2.6.12/lib/zeitwerk/loader

/helpers.rb:135:in `const_get'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/zeitwerk-2.6.12/lib/zeitwerk/loader

/helpers.rb:135:in `cget'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/zeitwerk-2.6.12/lib/zeitwerk/loader

/eager_load.rb:175:in `block in actual_eager_load_dir'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/zeitwerk-2.6.12/lib/zeitwerk/loader

/helpers.rb:40:in `block in ls'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/zeitwerk-2.6.12/lib/zeitwerk/loader

/helpers.rb:25:in `each'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/zeitwerk-2.6.12/lib/zeitwerk/loader

/helpers.rb:25:in `ls'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/zeitwerk-2.6.12/lib/zeitwerk/loader

/eager_load.rb:170:in `actual_eager_load_dir'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/zeitwerk-2.6.12/lib/zeitwerk/loader

/eager_load.rb:17:in `block (2 levels) in eager_load'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/zeitwerk-2.6.12/lib/zeitwerk/loader

/eager_load.rb:16:in `each'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/zeitwerk-2.6.12/lib/zeitwerk/loader

/eager_load.rb:16:in `block in eager_load'
  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/zeitwerk-2.6.12/lib/zeitwerk/loader

/eager_load.rb:10:in `synchronize'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/zeitwerk-2.6.12/lib/zeitwerk/loader

/eager_load.rb:10:in `eager_load'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/zeitwerk-2.6.12/lib/zeitwerk/loader

.rb:379:in `block in eager_load_all'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/zeitwerk-2.6.12/lib/zeitwerk/loader

.rb:377:in `each'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/zeitwerk-2.6.12/lib/zeitwerk/loader

.rb:377:in `eager_load_all'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/railties-6.1.7.6/lib/rails/applicat

ion/finisher.rb:133:in `block in <module:Finisher>'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/railties-6.1.7.6/lib/rails/initiali

zable.rb:32:in `instance_exec'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/railties-6.1.7.6/lib/rails/

initializable.rb:32:in `run'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/railties-6.1.7.6/lib/rails/initiali

zable.rb:61:in `block in run_initializers'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/3.1.0/tsort.rb:228:in `block in tsort_each'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/3.1.0/tsort.rb:350:in 

`block (2 levels) in each_strongly_connected_component'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/3.1.0/tsort.rb:431:in `

each_strongly_connected_component_from'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/3.1.0/tsort.rb:349:in `block in each_strongly_conne

cted_component'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/3.1.0/tsort.rb:347:in `each'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/3.1.0/tsort.rb:347:in `call'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/3.1.0/tsort.rb:347:in `each_strongly_connected_comp

onent'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/3.1.0/tsort.rb:226:in `tsort_each'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/3.1.0/tsort.rb:205:in `tsort_each'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/railties-6.1.7.6/lib/rails/initiali

zable.rb:60:in `run_initializers'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/railties-6.1.7.6/lib/rails/

application.rb:391:in `initialize!'

  /var/www/redmine-5.1/config/environment.rb:16:in `<top (required)>'

  config.ru:3:in `require_relative'

  config.ru:3:in `block in <main>'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/rack-2.2.8/lib/rack/builder.rb:125:

in `instance_eval'

  /home/redmine/.rbenv/versions/3.1.0/lib/ruby/gems/3.1.0/gems/rack-2.2.8/lib/rack/builder.rb:125:

in `initialize'

  config.ru:1:in `new'

  config.ru:1:in `<main>'

  /usr/share/passenger/helper-scripts/rack-preloader.rb:101:in `eval'

  /usr/share/passenger/helper-scripts/rack-preloader.rb:101:in `preload_app'

  /usr/share/passenger/helper-scripts/rack-preloader.rb:189:in `block in <module:App>'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/loader_shared_helpers.rb:397:in `run_block_and_recor

d_step_progress'

  /usr/share/passenger/helper-scripts/rack-preloader.rb:188:in `<module:App>'

  /usr/share/passenger/helper-scripts/rack-preloader.rb:30:in `<module:PhusionPassenger>'

  /usr/share/passenger/helper-scripts/rack-preloader.rb:29:in `<main>'

History

#1 - 2023-10-30 00:27 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Invalid

We don't provide support for third-party extensions (either being plugins or themes) here. You should contact the plugin developer instead.

#2 - 2024-01-25 00:30 - Rafał Walków

ashraf alzyoud wrote:

uninitialized constant CalendarsHelper
Object.const_get(camel_cased_word)

^

^^

^^^^^

Did you mean?  CalendarsController (NameError)

 try to find in the plugins directory the file containing the inclusion of the calendar module:

grep -r ":calendar" 

then replace the instruction with a conditional form (include only if the version of redminie is less than 5.1)

For example (from the finance plugin):

replace line:

helper :calendars

with this line:

helper :calendars if Redmine::VERSION.to_s < '5.1'

In my case this worked
